Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 818595 - Guvnor Web Designer: User Task's property GroupId cannot be cleared.
Summary: Guvnor Web Designer: User Task's property GroupId cannot be cleared.
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor)
Version: BRMS 5.3.0.GA
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ER7
: ---
Assignee: Ryan Zhang
QA Contact: Radovan Synek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-03 13:27 UTC by Radovan Synek
Modified: 2020-09-10 21:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
atangrin: needinfo+


Attachments (Terms of Use)

Description Radovan Synek 2012-05-03 13:27:50 UTC
Description of problem:
When you fill in GroupID on the user task, it cannot be deleted so easily. It looks like it's gone after delete, but when you save/reopen process, GroupID is filled as before.

Filling in GroupID makes Designer to generate DataInput and Assignment on that user task. But clearing GroupID does not delete DataInput nor Assignment. When you really want to erase GroupID, you have to erase: GroupID, DataInput and Assignment.


Steps to Reproduce:
1. Launch Guvnor and create new simple process: Start -> User Task -> End.
2. Open properties of User Task and fill in some GroupID.
3. Save process.
4. Clear that GroupID.
5. Save process.
6. GroupID is back!

Comment 1 Tihomir Surdilovic 2012-05-03 21:20:16 UTC
Fixed in Designer master and 2.2.x branches. I have also fixed the same issue for 
Skippable, Comment, Priority and Content properties of user task.

Comment 2 Prakash Aradhya 2012-05-09 21:10:18 UTC
Looks like it is fixed a while ago and should be there in the designer already. 
Please verify...

Comment 3 Ryan Zhang 2012-05-11 03:10:39 UTC
It is fixed on May 3 as Tihomir input the comments.
Need to add block and other ack flags on.
Assign to Anne to set the flag correctly.

Comment 4 Ryan Zhang 2012-05-11 03:33:55 UTC
It has  actually fixed in project. Change status to needinfo instead of
Assigned

Comment 6 Ryan Zhang 2012-05-14 08:16:41 UTC
The fixed for this issue should be included in ER7. Please do verification on it.


Note You need to log in before you can comment on or make changes to this bug.